player_ptz_geom Struct Reference

Request/reply: Query geometry. More...

`#include <player_interfaces.h>`

## Public Attributes

player_pose3d_t | pos
| Pose of the ptz base.
player_bbox3d_t | size
| Dimensions of the base [m, m, m]. More...

## Detailed Description

Request/reply: Query geometry.

To request ptz geometry, send a null PLAYER_PTZ_REQ_GEOM request.

## Member Data Documentation

player_bbox3d_t player_ptz_geom::size

Dimensions of the base [m, m, m].

The documentation for this struct was generated from the following file:

- player_interfaces.h

Last updated 12 September 2005 21:38:45